Name:          dagger
Version:       1.2.2
Release:       8%{?dist}
Summary:       A fast dependency injector for Android and Java
# CC0: core/src/main/java/dagger/internal/ArrayQueue.java
License:       ASL 2.0 and CC0
URL:           http://square.github.io/dagger/
Source0:       https://github.com/square/dagger/archive/%{name}-parent-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.squareup:javawriter)
BuildRequires: mvn(javax.inject:javax.inject)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

%if 0
# Test deps
BuildRequires: mvn(junit:junit)
# Unavailable test deps
BuildRequires: mvn(com.google.testing.compile:compile-testing:0.4)
BuildRequires: mvn(org.easytesting:fest-assert:1.4)
BuildRequires: mvn(org.truth0:truth:0.13)
%endif

BuildArch:     noarch

%description
A fast dependency injector for Android and Java.

For more information please see the website.

%package compiler
Summary:       Dagger Compiler

%description compiler
Tools to generate Dagger injection and
module adapters from annotated code and
validate them.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-parent-%{version}

rm -r website/static/*.js

%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-release-plugin

%pom_remove_plugin :maven-invoker-plugin compiler
%pom_remove_plugin :maven-assembly-plugin compiler
%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin core

%pom_remove_dep org.truth0:truth
%pom_remove_dep com.google.testing.compile:compile-testing
%pom_remove_dep org.easytesting:fest-assert

%pom_xpath_remove "pom:dependency[pom:scope = 'test']" compiler
%pom_xpath_remove "pom:dependency[pom:scope = 'test']" core

%pom_disable_module examples

%mvn_file com.squareup.%{name}:%{name}-compiler %{name}-compiler
%mvn_file com.squareup.%{name}:%{name} %{name}

%mvn_package com.squareup.%{name}:%{name} %{name}
%mvn_package com.squareup.%{name}:%{name}-parent %{name}

%build

# Unavailable test deps: org.truth0:truth
#                        com.google.testing.compile:compile-testing
#                        org.easytesting:fest-assert
%mvn_build -sf

%install
%mvn_install

%files -f .mfiles-%{name}
%doc CHANGELOG.md README.md
%license LICENSE.txt

%files compiler -f .mfiles-%{name}-compiler
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jun 21 2016 gil cattaneo <puntogil@libero.it> 1.2.2-5
- add missing build requires

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 28 2015 gil cattaneo <puntogil@libero.it> 1.2.2-2
- fix license field

* Tue Mar 31 2015 gil cattaneo <puntogil@libero.it> 1.2.2-1
- initial rpm
